local iLvl = {
  Name = "Easy iLvl",
  Version = "v1.2.0",
  Author = "Rncid@Firetree"
}

local Items = {
  CharacterHeadSlot = 1,
  CharacterNeckSlot = 2,
  CharacterShoulderSlot = 3,
  CharacterBackSlot = 15,
  CharacterChestSlot = 5,
  CharacterWristSlot = 9,
  CharacterHandsSlot = 10,
  CharacterWaistSlot = 6,
  CharacterLegsSlot = 7,
  CharacterFeetSlot = 8,
  CharacterFinger0Slot = 11,
  CharacterFinger1Slot = 12,
  CharacterTrinket0Slot = 13,
  CharacterTrinket1Slot = 14,
  CharacterMainHandSlot = 16,
  CharacterSecondaryHandSlot = 17,
  CharacterRangedSlot = 18,
  CharacterAmmoSlot = 0
}

function iLvl_Update()
  local tCount = 0;
  local tSlots = 0;

  for Key, Value in pairs(Items) do
    local ItemLink = GetInventoryItemLink("player", Value)
    local Slot = getglobal(Key.."Stock");
    
    if Slot then
      Slot:Hide();
      if ItemLink then
        local _, _, _, ItemLevel, _, _, _, StackCount = GetItemInfo(ItemLink)

        if StackCount == 1 then
          tCount = tCount + ItemLevel;
          tSlots = tSlots + 1;
          Slot:SetText(ItemLevel);
          Slot:Show();
        end
      end
    end
  end
  
  if tSlots > 0 then
    return math.ceil(tCount/tSlots);
  else 
    return 0;
  end
end

function iLvl_PaperDollFrame_SetCurrentItemLevel(statFrame, unit)
  PaperDollFrame_SetLabelAndText(statFrame, "Current Item Level",iLvl_Update(),false);
  statFrame:Show();
end

PAPERDOLL_STATINFO["CURRENTITEMLEVEL"] = {
  updateFunc = function(statFrame, unit) iLvl_PaperDollFrame_SetCurrentItemLevel(statFrame, unit); end
}

table.insert(PAPERDOLL_STATCATEGORIES["GENERAL"].stats,"CURRENTITEMLEVEL");